Package org.apache.sling.maven.htl.compiler

## Class HTLClassInfo

- java.lang.Object
- - org.apache.sling.maven.htl.compiler.HTLClassInfo

All Implemented Interfaces:
  `org.apache.sling.scripting.sightly.java.compiler.ClassInfo`

    public class HTLClassInfo
    extends Object
    implements org.apache.sling.scripting.sightly.java.compiler.ClassInfo

### Constructor Summary

Constructors
`HTLClassInfo​(String script)`
`HTLClassInfo​(String prefix, String script)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFullyQualifiedClassName()`
`String` `getPackageName()`
`String` `getSimpleClassName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HTLClassInfo

    public HTLClassInfo​(String script)

#### HTLClassInfo

    public HTLClassInfo​(String prefix,
                        String script)

### Method Detail

#### getSimpleClassName

    public String getSimpleClassName()

Specified by:
  `getSimpleClassName` in interface `org.apache.sling.scripting.sightly.java.compiler.ClassInfo`

#### getPackageName

    public String getPackageName()

Specified by:
  `getPackageName` in interface `org.apache.sling.scripting.sightly.java.compiler.ClassInfo`

#### getFullyQualifiedClassName

    public String getFullyQualifiedClassName()

Specified by:
  `getFullyQualifiedClassName` in interface `org.apache.sling.scripting.sightly.java.compiler.ClassInfo`